package com.antai.sport.http.server.management.api.business.series.controller;

import com.antai.sport.http.server.common.base.Result;
import com.antai.sport.http.server.management.api.business.series.dto.SeriesListQueryDTO;
import com.antai.sport.http.server.management.api.business.series.service.SeriesService;
import com.antai.sport.http.server.management.api.business.series.vo.SeriesListPageVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

import static com.antai.sport.http.server.common.util.ResultUtil.success;

@RestController
@RequestMapping("/series")
@Api(tags = {"系列赛"})
public class SeriesController {

    @Resource
    private SeriesService seriesService;

    /**
     * 加载系列赛列表
     *
     * @param dto
     * @return
     */
    @PostMapping("list")
    @ApiOperation("列表")
    public ResponseEntity<Result<SeriesListPageVO>> getSeriesList(@RequestBody SeriesListQueryDTO dto) {
        return success(seriesService.getSeriesList(dto));
    }

}
